%define upstream_name  	    ExtUtils-CBuilder
%define upstream_version 0.280236

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version 0.280240
Release:    %mkrel 1
Summary:    Compile and link C code for Perl modules
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz
# Link XS modules to libperl.so with EU::CBuilder on Linux, bug #960048
Patch0:     0001-Link-XS-modules-to-libperl.so-with-EU-CBuilder-on-Li.patch
# Unbundled from perl 5.37.11
Patch1:     ExtUtils-CBuilder-0.280236-Upgrade-to-0.280238.patch
# Unbundled from perl 5.40.0-RC1
Patch2:     ExtUtils-CBuilder-0.280238-Upgrade-to-0.280240.patch
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 3.130.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Perl::OSType) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Text::ParseWords)
BuildArch:  noarch

%description
This module can build the C portions of Perl modules by invoking the
appropriate compilers and linkers in a cross-platform manner. It was motivated
by the Module::Build project, but may be useful for other purposes as well.
However, it is not intended as a general cross-platform interface to all your C
building needs. That would have been a much more ambitious goal!

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install
for m in ExtUtils::CBuilder.3pm ExtUtils::CBuilder::Platform::Windows.3pm; do
	rm -f %{buildroot}%{_mandir}/man3/$m
done

%check
make test

%files
%license LICENSE
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/ExtUtils


%changelog
* Sun Jan 19 2025 wally <wally> 0.280.240-1.mga10
+ Revision: 2139941
- update to 0.280240 (from perl 5.40.0)

* Mon Mar 21 2022 umeabot <umeabot> 0.280.236-2.mga9
+ Revision: 1814093
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.280.236-1.mga9
+ Revision: 1691274
- update to 0.280236

* Mon Nov 02 2020 tv <tv> 0.280.235-1.mga8
+ Revision: 1641571
- update to 0.280235

* Wed Feb 19 2020 umeabot <umeabot> 0.280.234-2.mga8
+ Revision: 1543900
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 0.280.234-1.mga8
+ Revision: 1482263
- update to 0.280234
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Mar 31 2019 tv <tv> 0.280.231-1.mga7
+ Revision: 1383783
- update to 0.280231

* Thu Sep 20 2018 umeabot <umeabot> 0.280.230-2.mga7
+ Revision: 1283638
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 0.280.230-1.mga7
+ Revision: 1182011
- update to 0.280230

* Mon Oct 02 2017 tv <tv> 0.280.226-2.mga7
+ Revision: 1164307
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 0.280.226-1.mga7
+ Revision: 1155915
- update to 0.280226

* Fri Oct 14 2016 tv <tv> 0.280.224-4.mga6
+ Revision: 1060756
- use %%license
- patch 0: link XS modules to libperl.so (like module in main perl)

* Sun Jun 19 2016 pterjan <pterjan> 0.280.224-3.mga6
+ Revision: 1027129
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.280.224-2.mga6
+ Revision: 971317
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.280.224-1.mga6
+ Revision: 891350
- update to 0.280224

* Sat Jun 27 2015 sander85 <sander85> 0.280.223-1.mga6
+ Revision: 846207
- update to 0.280223

* Sat Oct 18 2014 umeabot <umeabot> 0.280.219-4.mga5
+ Revision: 788255
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.280.219-3.mga5
+ Revision: 750978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.280.219-2.mga5
+ Revision: 684673
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 sander85 <sander85> 0.280.219-1.mga5
+ Revision: 670902
- update to 0.280219

* Mon Sep 01 2014 sander85 <sander85> 0.280.218-1.mga5
+ Revision: 670678
- update to 0.280218

* Sat Aug 23 2014 sander85 <sander85> 0.280.217-1.mga5
+ Revision: 666835
- update to 0.280217

* Thu Mar 13 2014 jquelin <jquelin> 0.280.216-1.mga5
+ Revision: 602785
- update to 0.280216

* Mon Feb 10 2014 jquelin <jquelin> 0.280.212-3.mga5
+ Revision: 587915
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 0.280.212-2.mga4
+ Revision: 534209
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.280.212-1.mga4
+ Revision: 476415
- update to 0.280212

* Sun Sep 08 2013 sander85 <sander85> 0.280.210-1.mga4
+ Revision: 476248
- update to 0.280210

* Sun Jan 13 2013 umeabot <umeabot> 0.280.205-2.mga3
+ Revision: 367007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.280.205-1.mga2
+ Revision: 219764
- update to 0.280205

* Fri Feb 18 2011 jquelin <jquelin> 0.280.202-1.mga1
+ Revision: 53614
- update to 0.280202

* Wed Jan 19 2011 jquelin <jquelin> 0.280.200-2.mga1
+ Revision: 24295
- fix specs
- imported package perl-ExtUtils-CBuilder


* Mon Dec 27 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.280.200-2mdv2011.0
+ Revision: 625401
- fix man page conflicts with perl package

* Fri Dec 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.280.200-1mdv2011.0
+ Revision: 622684
- update to new version 0.2802

* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.270.300-3mdv2011.0
+ Revision: 597094
- rebuild

* Wed Jul 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.270.300-2mdv2011.0
+ Revision: 562422
- rebuild

* Wed Mar 17 2010 Jérôme Quelin <jquelin@mandriva.org> 0.270.300-1mdv2010.1
+ Revision: 523950
- update to 0.2703

* Tue Feb 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.270.200-1mdv2010.1
+ Revision: 510068
- update to 0.2702

* Tue Feb 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.270.100-1mdv2010.1
+ Revision: 506740
- update to 0.2701

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.270.0-1mdv2010.1
+ Revision: 461282
- update to 0.27

* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.301-1mdv2010.0
+ Revision: 422878
- update to 0.260301

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.300-2mdv2010.0
+ Revision: 420977
- rebuild

* Mon Jul 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.260.300-1mdv2010.0
+ Revision: 398201
- new version

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.260.200-1mdv2010.0
+ Revision: 392985
- update to new version 0.2602

* Fri Jul 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.260.100-1mdv2010.0
+ Revision: 391948
- update to new version 0.2601

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.250.0-1mdv2010.0
+ Revision: 389927
- new version

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.24-3mdv2009.1
+ Revision: 351736
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.24-2mdv2009.1
+ Revision: 351724
- rebuild

* Sun Aug 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2009.0
+ Revision: 272886
- update to new version 0.24

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.23-2mdv2009.0
+ Revision: 265360
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2009.0
+ Revision: 196139
- update to new version 0.23

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2008.1
+ Revision: 164834
- update to new version 0.22

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2008.1
+ Revision: 104500
- update to new version 0.21

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.0
+ Revision: 46525
- update to new version 0.19


* Fri Jun 16 2006 Scott Karns <scottk@mandriva.org> 0.18-2mdv2007.0
- Updated BuildRequires per META.yml

* Mon Mar 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdk
- New release 0.18

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdk
- New release 0.17

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk
- New release 0.15

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdk
- fist mdk package

